[Haskell] kernel 2.6.11 and readline.so

Irina Kaliman irina at sherman.cs.miami.edu
Thu Nov 17 16:09:45 EST 2005

I wonder if anybody knows the answer to this:
I have Fedora Core 4 (  2.6.11-1.1369_FC4smp ) installed on one of our

When I tried to install ghc-6.4-1, I got a dependancy problem:

# rpm -ivh ghc-6.4-1.i386.rpm
error: Failed dependencies:
        libreadline.so.4 is needed by ghc-6.4-1.i386

I have /usr/lib/libreadline.so.5 which is a part of my distribution.
( Fedora Core 4 , no updates ) on this machine

On my ther machine, which is 2.4.20-6, this package was installed with no

                    Thank you for your help,

Irina Kaliman, System Administrator
University of Miami, Computer Science Department
e-mail:  irina at miami.edu

More information about the Haskell mailing list